obdftdipty(1)

NAME
obdftdipty - Proxy a FTDI device using libftdi to a posix pty

SYNOPSIS
obdftdipty [ options ]

DESCRIPTION
Small tool to proxy FTDI serial devices using libftdi to a posix pty. Specifically useful for systems without the ftdi kernel module, but wishing to use OBDII software expecting a serial device entry in /dev.

OPTIONS

-c|--modifyconf
    Modify the config file /var/run/obdftdipty.device according to dot-obdgpslogger(5) after successfully setting up pty

-w|--world-accessible
    After successfully setting up the pty, set world-accessible [666] permissions on it

-b|--baudrate <rate>
    Attempt to set ftdi baudrate to this after launching.

-V|--vendorid <hex vendor id>
    Use this vendorid when looking for devices

-D|--deviceid <hex device id>
    Use this deviceid when looking for devices

-d|--daemonise
    Daemonise after successful setup

-v|--version
    Print out version number and exit.

-h|--help
    Print out help and exit.

SEE ALSO
obdgpslogger(1)

AUTHORS
Gary "Chunky Ks" Briggs <chunky@icculus.org>